GetCountryVulnerabilities
curl --request GET \
--url https://api.worldmonitor.app/api/supply-chain/v1/get-country-vulnerabilities \
--header 'X-WorldMonitor-Key: <api-key>'import requests
url = "https://api.worldmonitor.app/api/supply-chain/v1/get-country-vulnerabilities"
headers = {"X-WorldMonitor-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-WorldMonitor-Key': '<api-key>'}};
fetch('https://api.worldmonitor.app/api/supply-chain/v1/get-country-vulnerabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"country": "US",
"generatedAt": "2026-01-15T12:00:00Z",
"iso2": "US",
"methodologyVersion": "example",
"upstreamUnavailable": false
}{
"violations": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>",
"code": "subscription_lapsed",
"requiredTier": 123,
"currentTier": 123,
"planKey": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"code": "renewal_verification_pending",
"requiredTier": 123
}{
"message": "<string>"
}SupplyChainService
GetCountryVulnerabilities
GetCountryVulnerabilities returns the full per-commodity score evidence for one country.
GET
/
api
/
supply-chain
/
v1
/
get-country-vulnerabilities
GetCountryVulnerabilities
Authorizations
WorldMonitorKeyApiKeyHeader
User-issued WorldMonitor API key.
Query Parameters
Uppercase ISO 3166-1 alpha-2 country code.
Pattern:
^[A-Z]{2}$Response
Successful response
Uppercase ISO 3166-1 alpha-2 code for the requested country.
Human-readable name of the requested country.
Show child attributes
Show child attributes
ISO 8601 timestamp when the country index was generated.
Version of the scoring methodology used for every row.
True when the published country index could not be read.
Was this page helpful?
